<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width">
  <title>Test Web2pyJS Lib</title>
</head>
<body>
<h1>Testing W2P + JWT !!!</h1>
<h3 id="status">Not Logged...</h3>
<h3 id="token">Not Logged...</h3>
</body>
<script src="../lib/Web2pyJS.js?v=77"></script>
<script>  
  var credentials = { username: 'myuser@gmail.com', password: 'mypass' };
  var session = new Web2pyJS.Web2pyJWT('http://127.0.1.1/api', credentials);
  session.login().then(function (params) {
    if (session.logged) {
      console.log('logged!!!!')
      document.getElementById("status").innerHTML = "Logged!!!";
      document.getElementById("token").innerHTML = "Token is: " + session.token;

      session.renewToken().then(function (params) {
        console.log('Token has been Renewed')
        document.getElementById("token").innerHTML = "Token Renewed is: " + session.token;
      })
    }
  })  
</script>
</html>